net.minecraft.client.settings

## Class GameSettings

- java.lang.Object
- - net.minecraft.client.settings.GameSettings

-     public class GameSettings
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GameSettings.Options`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `advancedItemTooltips`
    `boolean` | `advancedOpengl`
    `int` | `ambientOcclusion`
    `boolean` | `anaglyph`
    `int` | `anisotropicFiltering`
    `boolean` | `chatColours`
    `float` | `chatHeightFocused`
    `float` | `chatHeightUnfocused`
    `boolean` | `chatLinks`
    `boolean` | `chatLinksPrompt`
    `float` | `chatOpacity`
    `float` | `chatScale`
    `EntityPlayer.EnumChatVisibility` | `chatVisibility`
    `float` | `chatWidth`
    `boolean` | `clouds`
    `boolean` | `debugCamEnable`
    `float` | `debugCamRate`
    `EnumDifficulty` | `difficulty`
    `boolean` | `enableVsync`
    `boolean` | `fancyGraphics`
    `boolean` | `fboEnable`
    `boolean` | `forceUnicodeFont`
    `float` | `fovSetting`
    `boolean` | `fullScreen`
    `float` | `gammaSetting`
    `int` | `guiScale`
    `boolean` | `heldItemTooltips`
    `boolean` | `hideGUI`
    `boolean` | `hideServerAddress`
    `boolean` | `invertMouse`
    `KeyBinding` | `keyBindAttack`
    `KeyBinding` | `keyBindBack`
    `KeyBinding` | `keyBindChat`
    `KeyBinding` | `keyBindCommand`
    `KeyBinding` | `keyBindDrop`
    `KeyBinding` | `keyBindForward`
    `KeyBinding[]` | `keyBindings`
    `KeyBinding` | `keyBindInventory`
    `KeyBinding` | `keyBindJump`
    `KeyBinding` | `keyBindLeft`
    `KeyBinding` | `keyBindPickBlock`
    `KeyBinding` | `keyBindPlayerList`
    `KeyBinding` | `keyBindRight`
    `KeyBinding` | `keyBindScreenshot`
    `KeyBinding[]` | `keyBindsHotbar`
    `KeyBinding` | `keyBindSmoothCamera`
    `KeyBinding` | `keyBindSneak`
    `KeyBinding` | `keyBindSprint`
    `KeyBinding` | `keyBindTogglePerspective`
    `KeyBinding` | `keyBindUseItem`
    `java.lang.String` | `language`
    `java.lang.String` | `lastServer`
    `int` | `limitFramerate`
    `protected Minecraft` | `mc`
    `int` | `mipmapLevels`
    `float` | `mouseSensitivity`
    `boolean` | `noclip`
    `float` | `noclipRate`
    `int` | `overrideHeight`
    `int` | `overrideWidth`
    `int` | `particleSetting`
    `boolean` | `pauseOnLostFocus`
    `int` | `renderDistanceChunks`
    `java.util.List` | `resourcePacks`
    `float` | `saturation`
    `boolean` | `serverTextures`
    `boolean` | `showCape`
    `boolean` | `showDebugInfo`
    `boolean` | `showDebugProfilerChart`
    `boolean` | `showInventoryAchievementHint`
    `boolean` | `smoothCamera`
    `boolean` | `snooperEnabled`
    `int` | `thirdPersonView`
    `boolean` | `touchscreen`
    `boolean` | `viewBobbing`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GameSettings()`
    `GameSettings(Minecraft par1Minecraft, java.io.File par2File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKeyBinding(GameSettings.Options par1EnumOptions)`
    `static java.lang.String` | `getKeyDisplayString(int par0)`
    `float` | `getOptionFloatValue(GameSettings.Options par1EnumOptions)`
    `boolean` | `getOptionOrdinalValue(GameSettings.Options par1EnumOptions)`
    `float` | `getSoundLevel(SoundCategory p_151438_1_)`
    `static boolean` | `isKeyDown(KeyBinding par0KeyBinding)`
    `void` | `loadOptions()`
    `void` | `saveOptions()`
    `void` | `sendSettingsToServer()`
    `void` | `setOptionFloatValue(GameSettings.Options par1EnumOptions, float par2)`
    `void` | `setOptionKeyBinding(KeyBinding p_151440_1_, int p_151440_2_)`
    `void` | `setOptionValue(GameSettings.Options par1EnumOptions, int par2)`
    `void` | `setSoundLevel(SoundCategory p_151439_1_, float p_151439_2_)`
    `boolean` | `shouldRenderClouds()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mouseSensitivity

          public float mouseSensitivity

    - #### invertMouse

          public boolean invertMouse

    - #### renderDistanceChunks

          public int renderDistanceChunks

    - #### viewBobbing

          public boolean viewBobbing

    - #### anaglyph

          public boolean anaglyph

    - #### advancedOpengl

          public boolean advancedOpengl

    - #### fboEnable

          public boolean fboEnable

    - #### limitFramerate

          public int limitFramerate

    - #### fancyGraphics

          public boolean fancyGraphics

    - #### ambientOcclusion

          public int ambientOcclusion

    - #### clouds

          public boolean clouds

    - #### resourcePacks

          public java.util.List resourcePacks

    - #### chatVisibility

          public EntityPlayer.EnumChatVisibility chatVisibility

    - #### chatColours

          public boolean chatColours

    - #### chatLinks

          public boolean chatLinks

    - #### chatLinksPrompt

          public boolean chatLinksPrompt

    - #### chatOpacity

          public float chatOpacity

    - #### serverTextures

          public boolean serverTextures

    - #### snooperEnabled

          public boolean snooperEnabled

    - #### fullScreen

          public boolean fullScreen

    - #### enableVsync

          public boolean enableVsync

    - #### hideServerAddress

          public boolean hideServerAddress

    - #### advancedItemTooltips

          public boolean advancedItemTooltips

    - #### pauseOnLostFocus

          public boolean pauseOnLostFocus

    - #### showCape

          public boolean showCape

    - #### touchscreen

          public boolean touchscreen

    - #### overrideWidth

          public int overrideWidth

    - #### overrideHeight

          public int overrideHeight

    - #### heldItemTooltips

          public boolean heldItemTooltips

    - #### chatScale

          public float chatScale

    - #### chatWidth

          public float chatWidth

    - #### chatHeightUnfocused

          public float chatHeightUnfocused

    - #### chatHeightFocused

          public float chatHeightFocused

    - #### showInventoryAchievementHint

          public boolean showInventoryAchievementHint

    - #### mipmapLevels

          public int mipmapLevels

    - #### anisotropicFiltering

          public int anisotropicFiltering

    - #### keyBindForward

          public KeyBinding keyBindForward

    - #### keyBindLeft

          public KeyBinding keyBindLeft

    - #### keyBindBack

          public KeyBinding keyBindBack

    - #### keyBindRight

          public KeyBinding keyBindRight

    - #### keyBindJump

          public KeyBinding keyBindJump

    - #### keyBindSneak

          public KeyBinding keyBindSneak

    - #### keyBindInventory

          public KeyBinding keyBindInventory

    - #### keyBindUseItem

          public KeyBinding keyBindUseItem

    - #### keyBindDrop

          public KeyBinding keyBindDrop

    - #### keyBindAttack

          public KeyBinding keyBindAttack

    - #### keyBindPickBlock

          public KeyBinding keyBindPickBlock

    - #### keyBindSprint

          public KeyBinding keyBindSprint

    - #### keyBindChat

          public KeyBinding keyBindChat

    - #### keyBindPlayerList

          public KeyBinding keyBindPlayerList

    - #### keyBindCommand

          public KeyBinding keyBindCommand

    - #### keyBindScreenshot

          public KeyBinding keyBindScreenshot

    - #### keyBindTogglePerspective

          public KeyBinding keyBindTogglePerspective

    - #### keyBindSmoothCamera

          public KeyBinding keyBindSmoothCamera

    - #### keyBindsHotbar

          public KeyBinding[] keyBindsHotbar

    - #### keyBindings

          public KeyBinding[] keyBindings

    - #### mc

          protected Minecraft mc

    - #### difficulty

          public EnumDifficulty difficulty

    - #### hideGUI

          public boolean hideGUI

    - #### thirdPersonView

          public int thirdPersonView

    - #### showDebugInfo

          public boolean showDebugInfo

    - #### showDebugProfilerChart

          public boolean showDebugProfilerChart

    - #### lastServer

          public java.lang.String lastServer

    - #### noclip

          public boolean noclip

    - #### smoothCamera

          public boolean smoothCamera

    - #### debugCamEnable

          public boolean debugCamEnable

    - #### noclipRate

          public float noclipRate

    - #### debugCamRate

          public float debugCamRate

    - #### fovSetting

          public float fovSetting

    - #### gammaSetting

          public float gammaSetting

    - #### saturation

          public float saturation

    - #### guiScale

          public int guiScale

    - #### particleSetting

          public int particleSetting

    - #### language

          public java.lang.String language

    - #### forceUnicodeFont

          public boolean forceUnicodeFont

  - ### Constructor Detail

    - #### GameSettings

          public GameSettings(Minecraft par1Minecraft,
                      java.io.File par2File)

    - #### GameSettings

          public GameSettings()

  - ### Method Detail

    - #### getKeyDisplayString

          public static java.lang.String getKeyDisplayString(int par0)

    - #### isKeyDown

          public static boolean isKeyDown(KeyBinding par0KeyBinding)

    - #### setOptionKeyBinding

          public void setOptionKeyBinding(KeyBinding p_151440_1_,
                                 int p_151440_2_)

    - #### setOptionFloatValue

          public void setOptionFloatValue(GameSettings.Options par1EnumOptions,
                                 float par2)

    - #### setOptionValue

          public void setOptionValue(GameSettings.Options par1EnumOptions,
                            int par2)

    - #### getOptionFloatValue

          public float getOptionFloatValue(GameSettings.Options par1EnumOptions)

    - #### getOptionOrdinalValue

          public boolean getOptionOrdinalValue(GameSettings.Options par1EnumOptions)

    - #### getKeyBinding

          public java.lang.String getKeyBinding(GameSettings.Options par1EnumOptions)

    - #### loadOptions

          public void loadOptions()

    - #### saveOptions

          public void saveOptions()

    - #### getSoundLevel

          public float getSoundLevel(SoundCategory p_151438_1_)

    - #### setSoundLevel

          public void setSoundLevel(SoundCategory p_151439_1_,
                           float p_151439_2_)

    - #### sendSettingsToServer

          public void sendSettingsToServer()

    - #### shouldRenderClouds

          public boolean shouldRenderClouds()